Permalink
Browse files

Merge pull request #4168 from jin/master

Use versions module from Skylib for version checking
  • Loading branch information...
xfxyjwf committed Jun 23, 2018
2 parents f42d592 + b2a1908 commit 91707246ebc579bf573ef033f3aa87a98c933d06
Showing with 10 additions and 4 deletions.
  1. +7 −0 WORKSPACE
  2. +3 −4 protobuf.bzl
View
@@ -14,6 +14,13 @@ http_archive(
urls = ["https://pypi.python.org/packages/source/s/six/six-1.10.0.tar.gz#md5=34eed507548117b2ab523ab14b2f8b55"],
)
http_archive(
name = "bazel_skylib",
sha256 = "bbccf674aa441c266df9894182d80de104cabd19be98be002f6d478aaa31574d",
strip_prefix = "bazel-skylib-2169ae1c374aab4a09aa90e65efe1a3aad4e279b",
urls = ["https://github.com/bazelbuild/bazel-skylib/archive/2169ae1c374aab4a09aa90e65efe1a3aad4e279b.tar.gz"],
)
bind(
name = "python_headers",
actual = "//util/python:python_headers",
View
@@ -1,3 +1,5 @@
load("@bazel_skylib//:lib.bzl", "versions")
def _GetPath(ctx, path):
if ctx.label.workspace_root:
return ctx.label.workspace_root + '/' + path
@@ -411,7 +413,4 @@ def check_protobuf_required_bazel_version():
This ensures bazel supports our approach to proto_library() depending on a
copied filegroup. (Fixed in bazel 0.5.4)
"""
expected = apple_common.dotted_version("0.5.4")
current = apple_common.dotted_version(native.bazel_version)
if current.compare_to(expected) < 0:
fail("Bazel must be newer than 0.5.4")
versions.check(minimum_bazel_version = "0.5.4")

0 comments on commit 9170724

Please sign in to comment.